import { EventEmitter } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { Grid } from '../../lib/grid';
import { Cell } from '../../lib/data-set/cell';
import { Row } from '../../lib/data-set/row';
import * as i0 from "@angular/core";
export declare class CellComponent {
    /**
     * Pass down to the form (editing) Inputs the Table's "editingForm":
     */
    editingFormGroup: UntypedFormGroup;
    grid: Grid;
    row: Row;
    createConfirm: EventEmitter<any>;
    isNew: boolean;
    cell: Cell;
    inputClass: string;
    mode: string;
    isInEditing: boolean;
    isExpanded: boolean;
    updateColumnList: any;
    edited: EventEmitter<any>;
    selectedElem: EventEmitter<any>;
    onEdited(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CellComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CellComponent, "ng2-smart-table-cell", never, { "editingFormGroup": "editingFormGroup"; "grid": "grid"; "row": "row"; "createConfirm": "createConfirm"; "isNew": "isNew"; "cell": "cell"; "inputClass": "inputClass"; "mode": "mode"; "isInEditing": "isInEditing"; "isExpanded": "isExpanded"; "updateColumnList": "updateColumnList"; }, { "edited": "edited"; "selectedElem": "selectedElem"; }, never, never, false>;
}
