import { EventEmitter, OnDestroy, OnChanges, SimpleChanges } from '@angular/core';
import { Column } from '../../../lib/data-set/column';
import { Grid } from '../../../lib/grid';
import * as i0 from "@angular/core";
declare enum SortDirectionEnum {
    ASC = "asc",
    DESC = "desc"
}
export declare class ColumnTitleComponent implements OnChanges, OnDestroy {
    grid: Grid;
    column: Column;
    sort: EventEmitter<any>;
    hidePopovers: EventEmitter<any>;
    getColumnFilters: EventEmitter<string>;
    currentDirection: string;
    openPopoverOptions: boolean;
    showIcon: boolean;
    sortDirectionEnum: typeof SortDirectionEnum;
    private subscription$;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    onClick(): void;
    onCheckFilter(obj: any): void;
    onApplyFilter(): void;
    _sort(event: any, direction: SortDirectionEnum): void;
    onSearchFilter(term: string): void;
    onSelectAll(): void;
    onClearAll(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColumnTitleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColumnTitleComponent, "ng2-st-column-title", never, { "grid": "grid"; "column": "column"; }, { "sort": "sort"; "hidePopovers": "hidePopovers"; "getColumnFilters": "getColumnFilters"; }, never, never, false>;
}
export {};
