import { EventEmitter, Renderer2, OnChanges, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class DragDropFileComponent implements OnChanges {
    private render;
    maxFileSize: number;
    multipleFiles: boolean;
    file: File;
    /**
     * Disable to make changes.
     */
    disabled: boolean;
    /**
     * Remove from templete the "trash" icon.
     */
    disabledTrash: boolean;
    /**
     * Remove from template the "download" icon.
     */
    disabledDownload: boolean;
    filesDropped: EventEmitter<File | FileList>;
    deleteFile: EventEmitter<File>;
    downloadFile: EventEmitter<File>;
    private fileInput;
    fileUploadIsToBig: boolean;
    constructor(render: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    onClickUpload(): void;
    fileToUploadChange(evt: any): void;
    onFileDropped(file: File | FileList): void;
    onDeleteFile(evt: any): void;
    onDownloadFile(evt: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragDropFileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DragDropFileComponent, "uno-drag-drop-file", never, { "maxFileSize": "maxFileSize"; "multipleFiles": "multipleFiles"; "file": "file"; "disabled": "disabled"; "disabledTrash": "disabledTrash"; "disabledDownload": "disabledDownload"; }, { "filesDropped": "filesDropped"; "deleteFile": "deleteFile"; "downloadFile": "downloadFile"; }, never, never, false>;
}
